본문 바로가기

WAS

Jeus에서 function tag libary 사용시... 가능하면 쓰지 말자..
WebLogic 9.2 WebLogic 9.2는 jdk 1.5를 사용한다. jdk 1.5는 Dynamic WebModule 2.5가 아닌 2.4, JSTL은 1.2가 아닌 1.1.2를 사용한다. 요즘 WebLogic 9.x 를 사용하는 기업이 있겠나 만은 실제 있었다. 개발은 Tomcat6.x로 하고 WebLogic 9.x로 배포 하려니 안된다. 이유는 웹모듈과 JSTL의 버전. Tomcat 6.x 기준의 프로젝트는 웹모듈을 2.4로 변경할 수 없다. 이럴땐 아래 파일에..
ORACLE_JDBC_DRIVER_PATH 변경 환경 -> WebSphere 변수 에서 바꿀 수 있다.  유의 할 점은 Windows 환경에서는 ojdbc14.jar 를 설정해주어야 연결이 가능하다. ( AIX 6.1에서는 ojdbc6.jar 를 사용하고 있었다. )
개발자용 WebSphere 다운로드. URL : http://www.ibm.com/developerworks/downloads/ws/wasdevelopers/index.html 에서 최신 버전의 WebSphere를 받을 수 있다. 이전 버전을 구하고자 할 경우 화면 하단의  Previous version  에서 8.0, 7.0 버전을 다운로드 할 수 있다.
AIX 6.1에서 Tomcat Encoding 변경하기. Tomcat이 설치된 곳에서 bin 아래에 catalina.sh 를 수정한다. JAVA_OPTS="-Djava.awt.headless=true -server -Xms512m -Xmx1024m -XX:NewSize=256m -XX:MaxNewSize=256m -XX:PermSize=256m -XX:MaxPermSize=256m -XX:+DisableExplicitGC -Dfile.encoding=IBM-eucKR" 현재 메모리 관련 옵션과 함께 ..
[WebSphere] Eclipse Tool Download site. Site : https://www.ibm.com/developerworks/mydeveloperworks/blogs/wasdev/entry/download_wdt?lang=en